summaryrefslogtreecommitdiffstats
path: root/envsetup.sh
diff options
context:
space:
mode:
authorSteve Kondik <steve@cyngn.com>2015-11-15 18:47:58 -0800
committerSteve Kondik <steve@cyngn.com>2015-11-15 18:47:58 -0800
commit58fa71624301f25f1de9aa5ced171ca868e60db2 (patch)
tree5eabff178f5b27112f056de2f78b29cf0a283699 /envsetup.sh
parenta69cf8b1a3feb8ed338098fe7591a7ba37228a45 (diff)
downloadbuild-58fa71624301f25f1de9aa5ced171ca868e60db2.zip
build-58fa71624301f25f1de9aa5ced171ca868e60db2.tar.gz
build-58fa71624301f25f1de9aa5ced171ca868e60db2.tar.bz2
envsetup: Remove Busybox references
* Toybox provides the necessary commands. Change-Id: Ia65948a49cb9f7093a6d2b651f6a8a67e300ad6e
Diffstat (limited to 'envsetup.sh')
-rw-r--r--envsetup.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/envsetup.sh b/envsetup.sh
index 5f0e9fe..38c92d2 100644
--- a/envsetup.sh
+++ b/envsetup.sh
@@ -739,10 +739,10 @@ function eat()
return 1
fi
adb start-server # Prevent unexpected starting server message from adb get-state in the next line
- if [ $(adb get-state) != device -a $(adb shell busybox test -e /sbin/recovery 2> /dev/null; echo $?) != 0 ] ; then
+ if [ $(adb get-state) != device -a $(adb shell test -e /sbin/recovery 2> /dev/null; echo $?) != 0 ] ; then
echo "No device is online. Waiting for one..."
echo "Please connect USB and/or enable USB debugging"
- until [ $(adb get-state) = device -o $(adb shell busybox test -e /sbin/recovery 2> /dev/null; echo $?) = 0 ];do
+ until [ $(adb get-state) = device -o $(adb shell test -e /sbin/recovery 2> /dev/null; echo $?) = 0 ];do
sleep 1
done
echo "Device Found.."
@@ -2172,10 +2172,10 @@ function dopush()
shift
adb start-server # Prevent unexpected starting server message from adb get-state in the next line
- if [ $(adb get-state) != device -a $(adb shell busybox test -e /sbin/recovery 2> /dev/null; echo $?) != 0 ] ; then
+ if [ $(adb get-state) != device -a $(adb shell test -e /sbin/recovery 2> /dev/null; echo $?) != 0 ] ; then
echo "No device is online. Waiting for one..."
echo "Please connect USB and/or enable USB debugging"
- until [ $(adb get-state) = device -o $(adb shell busybox test -e /sbin/recovery 2> /dev/null; echo $?) = 0 ];do
+ until [ $(adb get-state) = device -o $(adb shell test -e /sbin/recovery 2> /dev/null; echo $?) = 0 ];do
sleep 1
done
echo "Device Found."